
# Uncomment if working with an Release Candidate version, and comment if your not.
#%%define rc_tag -rc

%global _with_psa 1

%global basever 5.1
%global real_name mysql
%global name mysql

Name: %{name}
Version: 5.1.61
Release: 1.2
Summary: MySQL client programs and shared libraries.
License: GPL
Group: Applications/Databases
URL: http://www.mysql.com
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# Regression tests take a long time, you can skip 'em with this
%{!?runselftest:%global runselftest 1}

# Upstream has a mirror redirector for downloads, so the URL is hard to
# represent statically.  You can get the tarball by following a link from
# http://dev.mysql.com/downloads/mysql/
Source0: mysql-%{version}-nodocs.tar.gz
# The upstream tarball includes non-free documentation that we cannot ship.
# To remove the non-free documentation, run this script after downloading
# the tarball into the current directory:
# ./generate-tarball.sh $VERSION
Source1: generate-tarball.sh

Source2: mysql.init
Source3: mysql.logrotate
Source4: scriptstub.c
Source5: my_config.h
Source9: mysql-embedded-check.c
Source10: README.mysql-docs

Source100: my-51-terse.cnf
Source101: my-51-verbose.cnf
Source102: README.psa-compat

# Working around perl dependency checking bug in rpm FTTB. Remove later.
Source999: filter-requires-mysql.sh 

Patch1: mysql-ssl-multilib.patch
Patch2: mysql-errno.patch
# Patch3: mysql-stack.patch
Patch4: mysql-testing.patch
#Patch5: mysql-install-test.patch
Patch6: mysql-stack-guard.patch
#Patch7: mysql-plugin-bug.patch
Patch8: mysql-setschedparam.patch
#Patch10: mysql-strmov.patch
Patch11: mysql-signal-align.patch
Patch12: mysql-cve-2008-7247.patch
#Patch13: mysql-expired-certs.patch
#Patch14: mysql-charset-bug.patch
Patch15: mysql-no-docs.patch
#Patch16: mysql-lowercase-bug.patch

Patch201: mysql-5.1.24-libdir.patch 
#Patch207: mysql-5.0.41-compress-test.patch 
Patch209: mysql-5.0.67-bindir.patch
Patch311: mysql-5.1.28-rc-mysqld_safe.patch 
Patch315: mysql-5.1.37-sysconfig.patch 
# Test structure has changed in 5.1.58
#Patch316: mysql-5.1.54-disabled_tests.patch
Patch317: mysql-5.1.61-disabled_tests.patch

Requires: %{name}-libs = %{version}-%{release}
Requires: bash, grep, fileutils, libpcap
BuildRequires: gperf, perl, readline-devel, openssl-devel
BuildRequires: gcc, gcc-c++, ncurses-devel, zlib-devel
BuildRequires: libtool automake autoconf
BuildRequires: gettext-devel
# make test requires time and ps
BuildRequires: time procps
# Socket is needed to run regression tests
BuildRequires: perl(Socket)
BuildRequires: libpcap

Provides:  %{real_name} = %{version}-%{release}
Provides: mysqlclient16 = %{version}
Conflicts: %{real_name} < %{basever}
Conflicts: MySQL

# Not compatible with Plesk < 9.5 (Rackspace-isms)
Conflicts: psa < 9.5

# added as a convenience, mysql51 doesn't require mysqlclient15
# but all the packages built against mysql 5.0 do
Requires: mysqlclient15 


# Working around perl dependency checking bug in rpm FTTB. Remove later.
%global __perl_requires %{SOURCE999}

%description
MySQL is a multi-user, multi-threaded SQL database server. MySQL is a
client/server implementation consisting of a server daemon (mysqld)
and many different client programs and libraries. The base package
contains the MySQL client programs, the client shared libraries, and
generic MySQL files.


%package libs
Summary: The shared libraries required for MySQL clients
Group: Applications/Databases
Requires: /sbin/ldconfig

%description libs
The mysql-libs package provides the essential shared libraries for any
MySQL client program or interface. You will need to install this package
to use any other MySQL package or any clients that need to connect to a
MySQL server.

%package server
Summary: The MySQL server and related files.
License: GPL
Group: Applications/Databases
Requires(pre): /sbin/chkconfig, /usr/sbin/useradd
Requires: %{name} = %{version}-%{release}, sh-utils
# mysqlhotcopy needs DBI/DBD support
Requires: perl-DBI, perl-DBD-MySQL
Conflicts: MySQL-server
Provides:   %{real_name}-server = %{version}-%{release}
Conflicts:  %{real_name}-server < %{base_ver}
Conflicts:  mysql50-server

# Plugins - obsolete old subpackages
Obsoletes: %{name}-plugins-blackhole < 5.1.46-1
Obsoletes: %{name}-plugins-archive < 5.1.46-1
Obsoletes: %{name}-plugins-example < 5.1.46-1
Obsoletes: %{name}-plugins-innodb < 5.1.46-1
Obsoletes: %{name}-plugins-federated < 5.1.46-1

%description server
MySQL is a multi-user, multi-threaded SQL database server. MySQL is a
client/server implementation consisting of a server daemon (mysqld)
and many different client programs and libraries. This package contains
the MySQL server and some accompanying files and directories.

%package devel
Summary: Files for development of MySQL applications.
License: GPL
Group: Applications/Databases
Requires:   %{name} = %{version}-%{release}
Requires:   openssl-devel
Conflicts:  MySQL-devel
Provides:   mysqlclient16-devel = %{version}
Provides:   %{real_name}-devel = %{version}-%{release}
Conflicts:  %{real_name}-devel < %{base_ver}
Conflicts:  mysql50-devel

%description devel
MySQL is a multi-user, multi-threaded SQL database server. This
package contains the libraries and header files that are needed for
developing MySQL client applications.


%package embedded
Summary: MySQL as an embeddable library
Group: Applications/Databases

%description embedded
MySQL is a multi-user, multi-threaded SQL database server. This
package contains a version of the MySQL server that can be embedded
into a client application instead of running as a separate process.

%package embedded-devel
Summary: Development files for MySQL as an embeddable library
Group: Applications/Databases
Requires: %{name}-embedded = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}

%description embedded-devel
MySQL is a multi-user, multi-threaded SQL database server. This
package contains files needed for developing and testing with
the embedded version of the MySQL server.

%package bench
Summary:    MySQL benchmark scripts and data.
License:    GPL
Group:      Applications/Databases
Requires:   %{name} = %{version}-%{release}
Conflicts:  MySQL-bench
Provides:   %{real_name}-bench = %{version}-%{release}
Conflicts:  %{real_name}-bench < %{base_ver}
Conflicts:  mysql50-bench

%description bench
MySQL is a multi-user, multi-threaded SQL database server. This
package contains benchmark scripts and data for use when benchmarking
MySQL.

%package test
Summary: The test suite distributed with MySQL
Group: Applications/Databases
Requires: %{name} = %{version}-%{release}
Requires: %{name}-server = %{version}-%{release}
Conflicts: MySQL-test

%description test
MySQL is a multi-user, multi-threaded SQL database server. This
package contains the regression test suite distributed with
the MySQL sources.

%if 0%{?_with_psa}
%package psa-compat
Group: Applications/Databases 
Summary: A basic fix that adds Plesk (PSA) compatibility
Requires: %{name}-common = %{version}-%{release}
Requires: psa

%description psa-compat
This package add a basic fix for Plesk that enables it to detect the
version of 'mysql' installed.  Currently plesk doesn't support the use
of alternatively named packages (such as mysql50, mysql51, etc).
%endif


%prep
%setup -q -n %{real_name}-%{version}%{?rc_tag} 
cp %SOURCE10 .
cp %SOURCE100 .
cp %SOURCE101 .
cp %SOURCE102 .

sed -i "s|@@@mysql_server_docdir@@@|%{_docdir}|" my-51-terse.cnf
sed -i "s|@@@mysql_server_docdir@@@|%{_docdir}|" my-51-verbose.cnf

%patch1 -p1
%patch2 -p1
# %%patch3 -p1
%patch4 -p1
#%%patch5 -p1
%patch6 -p1
#%%patch7 -p1
%patch8 -p1
#%patch10 -p1
%patch11 -p1
%patch12 -p1
#%%patch13 -p1
#%%patch14 -p1
%patch15 -p1
#%patch16 -p1
%patch201 -p1
#%%patch207 -p1  
%patch209 -p1 -b .bindir
%patch311 -p1 -b .mysqld_safe
%patch315 -p1 -b .sysconfig
#%patch316 -p1 -b .disabled_tests
%patch317 -p1 -b .disabled_tests

libtoolize --force
aclocal
automake --add-missing -Wno-portability
autoconf
autoheader

%build

# fail quickly and obviously if user tries to build as root
%if %runselftest
    if [ x"`id -u`" = x0 ]; then
    echo "mysql's regression tests fail if run as root."
    echo "If you really need to build the RPM as root, use"
    echo "--define='runselftest 0' to skip the regression tests."
    exit 1
    fi
%endif

CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
CFLAGS="$CFLAGS -fno-strict-aliasing -fwrapv -fPIC"
CXXFLAGS="$CFLAGS -felide-constructors -fno-rtti -fno-exceptions"
export CFLAGS CXXFLAGS

%configure \
    --with-comment='Distributed by The IUS Community Project' \
    --with-readline \
    --with-ssl=/usr \
    --without-debug \
    --enable-shared \
    --with-embedded-server \
    --localstatedir=/var/lib/mysql \
    --with-unix-socket-path=/var/lib/mysql/mysql.sock \
    --with-mysqld-user="mysql" \
    --with-extra-charsets=all \
    --with-big-tables \
    --with-pic \
    --enable-local-infile \
    --enable-largefile \
    --with-innodb \
    --with-plugin-partition \
    --with-federated-storage-engine \
    --enable-thread-safe-client \
    --disable-dependency-tracking \
    --enable-community-features \
    --enable-profiling

gcc $CFLAGS $LDFLAGS -o scriptstub "-DLIBDIR=\"%{_libdir}/mysql\"" %{SOURCE4}

make %{?_smp_mflags}

# regular build will make libmysqld.a but not libmysqld.so :-(
mkdir libmysqld/work
cd libmysqld/work
ar -x ../libmysqld.a

# Resolves MySQL Bug #48960
rm ha_federated.o libfederated*string.o

gcc $CFLAGS $LDFLAGS -shared -Wl,-soname,libmysqld.so.0 -o libmysqld.so.0.0.1 \
    *.o \
    -lpthread -lcrypt -lnsl -lssl -lcrypto -lz -lrt -lstdc++ -lm -lc
# this is to check that we built a complete library
cp %{SOURCE9} .
ln -s libmysqld.so.0.0.1 libmysqld.so.0
gcc -I../../include $CFLAGS mysql-embedded-check.c libmysqld.so.0
LD_LIBRARY_PATH=. ldd ./a.out
cd ../..


%check

make check

%if %runselftest
  make test
%endif

%install
rm -rf %{buildroot}

%makeinstall
install -m 644 include/my_config.h %{buildroot}/usr/include/mysql/my_config_`uname -i`.h
install -m 644 %{SOURCE5} %{buildroot}/usr/include/mysql/
mkdir -p %{buildroot}/var/log \
         %{buildroot}/var/lib/mysqllogs \
         %{buildroot}/var/lib/mysqltmp
touch %{buildroot}/var/log/mysqld.log

# List the installed tree for RPM package maintenance purposes.
find %{buildroot} -print | sed "s|^%{buildroot}||" | sort > ROOTFILES
rm -f %{buildroot}%{_datadir}/mysql/mysql-*.spec
rm -f %{buildroot}%{_datadir}/mysql/mysql-log-rotate

mkdir -p %{buildroot}/etc/{rc.d/init.d,logrotate.d}
mkdir -p %{buildroot}/var/run/mysqld
install -m 0755 -d %{buildroot}/var/lib/mysql
install -m 0755 %{SOURCE2} %{buildroot}/etc/rc.d/init.d/mysqld
install -m 0644 %{SOURCE3} %{buildroot}/etc/logrotate.d/mysqld
install -m 0644 my-51-terse.cnf %{buildroot}/etc/my.cnf
mv %{buildroot}/usr/mysql-test $RPM_BUILD_ROOT%{_datadir}/mysql-test
# 5.1.32 forgets to install the mysql-test README file
install -m 0644 mysql-test/README $RPM_BUILD_ROOT%{_datadir}/mysql-test/README


# install the archive_reader tool
install -m 0755 storage/archive/archive_reader %{buildroot}%{_bindir}

rm -f %{buildroot}/%{_infodir}/dir*
mv %{buildroot}/usr/sql-bench %{buildroot}%{_datadir}/sql-bench

mv %{buildroot}%{_bindir}/mysqlbug %{buildroot}%{_libdir}/mysql/mysqlbug
install -m 0755 scriptstub %{buildroot}%{_bindir}/mysqlbug
mv %{buildroot}%{_bindir}/mysql_config %{buildroot}%{_libdir}/mysql/mysql_config
install -m 0755 scriptstub %{buildroot}%{_bindir}/mysql_config
cp -a support-files/mysql.server support-files/mysql.init-lsb_compliant

rm -f %{buildroot}%{_libdir}/mysql/libmysqld.a
install -m 0755 libmysqld/work/libmysqld.so.0.0.1 %{buildroot}%{_libdir}/mysql/libmysqld.so.0.0.1
ln -s libmysqld.so.0.0.1 %{buildroot}%{_libdir}/mysql/libmysqld.so.0
ln -s libmysqld.so.0 %{buildroot}%{_libdir}/mysql/libmysqld.so

rm -f %{buildroot}%{_bindir}/comp_err
rm -f %{buildroot}%{_mandir}/man1/comp_err.1*
rm -f %{buildroot}%{_bindir}/make_win_binary_distribution
rm -f %{buildroot}%{_bindir}/make_win_src_distribution
rm -f %{buildroot}%{_mandir}/man1/make_win_bin_dist.1*
rm -f %{buildroot}%{_mandir}/man1/make_win_src_distribution.1*
rm -f %{buildroot}%{_libdir}/mysql/libmysqlclient*.la
rm -f %{buildroot}%{_libdir}/mysql/libndbclient.la
rm -f %{buildroot}%{_libdir}/mysql/plugin/*.la
rm -f %{buildroot}%{_libdir}/mysql/plugin/*.a
rm -f %{buildroot}%{_datadir}/mysql/binary-configure
rm -f %{buildroot}%{_datadir}/mysql/make_binary_distribution
rm -f %{buildroot}%{_datadir}/mysql/make_sharedlib_distribution
rm -f %{buildroot}%{_datadir}/mysql/mi_test_all*
rm -f %{buildroot}%{_datadir}/mysql/mysql.server
rm -f %{buildroot}%{_datadir}/mysql/mysqld_multi.server
rm -f %{buildroot}%{_datadir}/mysql/MySQL-shared-compat.spec
rm -f %{buildroot}%{_datadir}/mysql/*.plist
rm -f %{buildroot}%{_datadir}/mysql/preinstall
rm -f %{buildroot}%{_datadir}/mysql/postinstall
rm -f %{buildroot}%{_datadir}/mysql/mysql-*.spec
rm -f %{buildroot}%{_datadir}/mysql/mysql-log-rotate
rm -f %{buildroot}%{_datadir}/mysql/ChangeLog
rm -f %{buildroot}%{_mandir}/man1/mysql-stress-test.pl.1*
rm -f %{buildroot}%{_mandir}/man1/mysql-test-run.pl.1*
rm -f %{buildroot}/usr/libexec/ndb_cpcd
rm -f %{buildroot}%{_mandir}/man1/ndb_cpcd.1*
rm -f %{buildroot}/%{_datadir}/mysql/ndb-config-2-node.ini

mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "%{_libdir}/mysql" > %{buildroot}/etc/ld.so.conf.d/%{name}-%{_arch}.conf

%clean
rm -rf %{buildroot}

%pre 
# This is to remind everyone to run fix_privilege_tables
curMySQLVersion=$(mysql_config --version 2> /dev/null | awk -F . {' print $1"."$2 '})
newMySQLVersion=$(echo %{version} | awk -F . {' print $1"."$2 '})

curIsLessThanNew=$(echo "$curMySQLVersion $newMySQLVersion" | awk '{if ($1 < $2) print "true"}')
if [ $curIsLessThanNew ]; then 
cat <<EOF
========================================================================

    Please note that if you are upgrading major versions of MySQL
    you must run the following script after installation:

    %{_bindir}/mysql_upgrade -t /tmp

========================================================================
EOF
fi


%pre server
/usr/sbin/groupadd -g 27 mysql >/dev/null 2>&1 || :
/usr/sbin/useradd -M -o -r -d /var/lib/mysql -s /bin/bash \
    -c "MySQL Server" -u 27 mysql -g mysql > /dev/null 2>&1 || :

%post 
/sbin/ldconfig

%post server
if [ $1 = 1 ]; then
    /sbin/chkconfig --add mysqld
fi
if [ $1 -ge 1 ]; then
    /sbin/service mysqld condrestart || :
fi
/bin/chmod 0755 /var/lib/mysql
/bin/touch /var/log/mysqld.log

%preun server
if [ $1 = 0 ]; then
    /sbin/service mysqld stop || :
    /sbin/chkconfig --del mysqld
fi

%postun
if [ $1 = 0 ] ; then
    /sbin/ldconfig
fi

%if 0%{?_with_psa}
%post psa-compat
mysql -uadmin -p`cat /etc/psa/.psa.shadow` psa -e 'update Components set 
`version`="%{version}" where `name` like "%mysql%";'
%endif


%files
%defattr(-,root,root)
%doc README COPYING
%doc README.mysql-docs

%{_bindir}/msql2mysql
%{_bindir}/mysql
%{_bindir}/mysql_config
%{_bindir}/mysql_find_rows
%{_bindir}/mysql_waitpid
%{_bindir}/mysqlaccess
%{_bindir}/mysqladmin
%{_bindir}/mysqlbinlog
%{_bindir}/mysqlcheck
%{_bindir}/mysqldump
%{_bindir}/mysqlimport
%{_bindir}/mysqlshow
%{_bindir}/mysqlslap
%{_bindir}/my_print_defaults

%{_mandir}/man1/mysql.1*
%{_mandir}/man1/mysql_config.1*
%{_mandir}/man1/mysql_find_rows.1*
%{_mandir}/man1/mysql_waitpid.1*
%{_mandir}/man1/mysqlaccess.1*
%{_mandir}/man1/mysqladmin.1*
%{_mandir}/man1/mysqldump.1*
%{_mandir}/man1/mysqlshow.1*
%{_mandir}/man1/mysqlslap.1*
%{_mandir}/man1/my_print_defaults.1*

%{_libdir}/mysql/mysqlbug
%{_libdir}/mysql/mysql_config


%files libs
%defattr(-,root,root)
%doc COPYING

# although the default my.cnf contains only server settings, we put it in the
# libs package because it can be used for client settings too.
%config(noreplace) /etc/my.cnf

%dir %{_libdir}/mysql
%{_libdir}/mysql/libmysqlclient*.so.*
/etc/ld.so.conf.d/*

%dir %{_datadir}/mysql
%{_datadir}/mysql/english
%lang(cs) %{_datadir}/mysql/czech
%lang(da) %{_datadir}/mysql/danish
%lang(nl) %{_datadir}/mysql/dutch
%lang(et) %{_datadir}/mysql/estonian
%lang(fr) %{_datadir}/mysql/french
%lang(de) %{_datadir}/mysql/german
%lang(el) %{_datadir}/mysql/greek
%lang(hu) %{_datadir}/mysql/hungarian
%lang(it) %{_datadir}/mysql/italian
%lang(ja) %{_datadir}/mysql/japanese
%lang(ko) %{_datadir}/mysql/korean
%lang(no) %{_datadir}/mysql/norwegian
%lang(no) %{_datadir}/mysql/norwegian-ny
%lang(pl) %{_datadir}/mysql/polish
%lang(pt) %{_datadir}/mysql/portuguese
%lang(ro) %{_datadir}/mysql/romanian
%lang(ru) %{_datadir}/mysql/russian
%lang(sr) %{_datadir}/mysql/serbian
%lang(sk) %{_datadir}/mysql/slovak
%lang(es) %{_datadir}/mysql/spanish
%lang(sv) %{_datadir}/mysql/swedish
%lang(uk) %{_datadir}/mysql/ukrainian
%{_datadir}/mysql/charsets

%files server
%defattr(-,root,root)
%doc support-files/*.cnf my-51-verbose.cnf

%config(noreplace) %{_sysconfdir}/logrotate.d/mysqld
%{_bindir}/myisamchk
%{_bindir}/myisam_ftdump
%{_bindir}/myisamlog
%{_bindir}/myisampack
%{_bindir}/mysql_convert_table_format
%{_bindir}/mysql_fix_extensions
%{_bindir}/mysql_fix_privilege_tables
%{_bindir}/mysql_install_db
%{_bindir}/mysql_secure_installation
%{_bindir}/mysql_setpermission
%{_bindir}/mysql_tzinfo_to_sql
%{_bindir}/mysql_upgrade
%{_bindir}/mysql_zap
%{_bindir}/mysqlbug
%{_bindir}/mysqldumpslow
%{_bindir}/mysqld_multi
%{_bindir}/mysqld_safe
%{_bindir}/mysqlhotcopy
%{_bindir}/mysqltest
%{_bindir}/innochecksum
%{_bindir}/perror
%{_bindir}/replace
%{_bindir}/resolve_stack_dump
%{_bindir}/resolveip

/usr/libexec/mysqld
/usr/libexec/mysqlmanager

%attr(0755,mysql,mysql) %dir %{_localstatedir}/lib/mysqltmp
%attr(0755,mysql,mysql) %dir %{_localstatedir}/lib/mysqllogs
%dir %{_libdir}/mysql/plugin

%{_mandir}/man1/msql2mysql.1*
%{_mandir}/man1/myisamchk.1*
%{_mandir}/man1/myisamlog.1*
%{_mandir}/man1/myisampack.1*
%{_mandir}/man1/mysql_convert_table_format.1*
%{_mandir}/man1/myisam_ftdump.1*
%{_mandir}/man1/mysql.server.1*
%{_mandir}/man1/mysql_fix_extensions.1*
%{_mandir}/man1/mysql_fix_privilege_tables.1*
%{_mandir}/man1/mysql_install_db.1*
%{_mandir}/man1/mysql_secure_installation.1*
%{_mandir}/man1/mysql_upgrade.1*
%{_mandir}/man1/mysql_zap.1*
%{_mandir}/man1/mysqlbug.1*
%{_mandir}/man1/mysqldumpslow.1*
%{_mandir}/man1/mysqlbinlog.1*
%{_mandir}/man1/mysqlcheck.1*
%{_mandir}/man1/mysqld_multi.1*
%{_mandir}/man1/mysqld_safe.1*
%{_mandir}/man1/mysqlhotcopy.1*
%{_mandir}/man1/mysqlimport.1*
%{_mandir}/man1/mysqlman.1*
%{_mandir}/man1/mysql_setpermission.1*
%{_mandir}/man1/mysqltest.1*
%{_mandir}/man1/innochecksum.1*
%{_mandir}/man1/perror.1*
%{_mandir}/man1/replace.1*
%{_mandir}/man1/resolve_stack_dump.1*
%{_mandir}/man1/resolveip.1*
%{_mandir}/man1/mysql_tzinfo_to_sql.1*
%{_mandir}/man8/mysqld.8*
%{_mandir}/man8/mysqlmanager.8*

%{_datadir}/mysql/errmsg.txt
%{_datadir}/mysql/fill_help_tables.sql
%{_datadir}/mysql/mysql_fix_privilege_tables.sql
%{_datadir}/mysql/mysql_system_tables.sql
%{_datadir}/mysql/mysql_system_tables_data.sql
%{_datadir}/mysql/mysql_test_data_timezone.sql
%{_datadir}/mysql/my-*.cnf
%{_datadir}/mysql/config.*.ini

/etc/rc.d/init.d/mysqld
%attr(0755,mysql,mysql) %dir /var/run/mysqld
%attr(0755,mysql,mysql) %dir /var/lib/mysql
%attr(0640,mysql,mysql) %config(noreplace) %verify(not md5 size mtime) /var/log/mysqld.log

# Plugins
%{_bindir}/archive_reader
%{_libdir}/mysql/plugin/ha_archive.so*
%{_libdir}/mysql/plugin/ha_blackhole.so*
%{_libdir}/mysql/plugin/ha_example.so*
%{_libdir}/mysql/plugin/ha_innodb_plugin.so*

%files devel
%defattr(-,root,root)
/usr/include/mysql
/usr/share/aclocal/mysql.m4
%{_libdir}/mysql/*.a
%{_libdir}/mysql/libmysqlclient*.so

%files embedded
%defattr(-,root,root)
%doc COPYING
%{_libdir}/mysql/libmysqld.so.*

%files embedded-devel
%defattr(-,root,root)
%{_libdir}/mysql/libmysqld.so
%{_bindir}/mysql_client_test_embedded
%{_bindir}/mysqltest_embedded
%{_mandir}/man1/mysql_client_test_embedded.1*
%{_mandir}/man1/mysqltest_embedded.1*

%files bench
%defattr(-,root,root)
%{_datadir}/sql-bench

%files test
%defattr(-,root,root)
%{_bindir}/mysql_client_test
%attr(-,mysql,mysql) %{_datadir}/mysql-test
%{_mandir}/man1/mysql_client_test.1.gz

%if 0%{?_with_psa}
%files psa-compat
%defattr(-,root,root,-)
%doc README.psa-compat
%endif


%changelog
